Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.loading
Class CompressedClassBytes

    java.lang.Object
      org.jboss.remoting.loading.ClassBytes
          org.jboss.remoting.loading.CompressedClassBytes

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class CompressedClassBytes

extends ClassBytes
implements java.io.Externalizable

CompressedClassBytes is a ClassBytes subclass that compresses class data, if possible.

Version:
  $Revision: 912 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.remoting.loading.ClassBytes
`classBytes, className`

Constructor Summary
`CompressedClassBytes()`
`CompressedClassBytes(java.lang.String className, byte[] data, int compressionLevel)`

Method Summary
`byte[]` | `compress(byte[] input)` Compresses the input data.
`static void` | `main(java.lang.String[] args)`
`void` | `readExternal(java.io.ObjectInput in)`
`byte[]` | `uncompress(byte[] input)` Un-compresses the input data.
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class org.jboss.remoting.loading.ClassBytes
`getClassBytes, getClassName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompressedClassBytes

    public CompressedClassBytes()

### CompressedClassBytes

    public CompressedClassBytes(java.lang.String className,
                                byte[] data,
                                int compressionLevel)

Method Detail

### main

    public static void main(java.lang.String[] args)

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

### compress

    public byte[] compress(byte[] input)

  Compresses the input data.

  Returns:
    null if compression results in larger output.

### uncompress

    public byte[] uncompress(byte[] input)
                      throws java.io.IOException

  Un-compresses the input data.

  Throws:
    `java.io.IOException` - if the input is not valid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.